What a chat's agents knew
curl --request GET \
--url https://api.example.com/api/registry/context/manifests/chat/{thread_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/registry/context/manifests/chat/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/registry/context/manifests/chat/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/context/manifests/chat/{thread_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/context/manifests/chat/{thread_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/registry/context/manifests/chat/{thread_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/context/manifests/chat/{thread_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"manifests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_label": "<string>",
"model": "<string>",
"tokenizer": "<string>",
"approximate": true,
"context_window": 123,
"budget_total": 123,
"tokens_used": 123,
"resolved_as": "<string>",
"auth_method": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"entries": [
{
"status": "<string>",
"pack_id": "<string>",
"pack_title": "<string>",
"pack_version": "<string>",
"item_id": "<string>",
"title": "<string>",
"type": "<string>",
"priority": "<string>",
"reason": "<string>",
"source": {},
"params": {},
"rows": 123,
"tokens": 123,
"content_sha256": "<string>",
"cached_at": "<string>",
"via": "<string>",
"at": "<string>",
"count": 123
}
],
"agent_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_version": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"crew_correlation_id": "<string>",
"chat_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_seq": 123,
"notes": [
"<string>"
]
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Context packs
What a chat's agents knew
Manifests of a chat thread’s turns, for anyone who can read the thread.
GET
/
api
/
registry
/
context
/
manifests
/
chat
/
{thread_id}
What a chat's agents knew
curl --request GET \
--url https://api.example.com/api/registry/context/manifests/chat/{thread_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/registry/context/manifests/chat/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/registry/context/manifests/chat/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/context/manifests/chat/{thread_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/context/manifests/chat/{thread_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/registry/context/manifests/chat/{thread_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/context/manifests/chat/{thread_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"manifests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_label": "<string>",
"model": "<string>",
"tokenizer": "<string>",
"approximate": true,
"context_window": 123,
"budget_total": 123,
"tokens_used": 123,
"resolved_as": "<string>",
"auth_method": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"entries": [
{
"status": "<string>",
"pack_id": "<string>",
"pack_title": "<string>",
"pack_version": "<string>",
"item_id": "<string>",
"title": "<string>",
"type": "<string>",
"priority": "<string>",
"reason": "<string>",
"source": {},
"params": {},
"rows": 123,
"tokens": 123,
"content_sha256": "<string>",
"cached_at": "<string>",
"via": "<string>",
"at": "<string>",
"count": 123
}
],
"agent_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_version": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"crew_correlation_id": "<string>",
"chat_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_seq": 123,
"notes": [
"<string>"
]
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The chat thread's ID.
Query Parameters
Only this turn.
Required range:
x >= 1Response
Successful Response
Manifests of one run or chat turn.
Show child attributes
Show child attributes
Was this page helpful?

